import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommunicationDirectionSchema } from '../enums/CommunicationDirection.schema'

const makeSchema = () => z.object({
  set: CommunicationDirectionSchema.optional()
}).strict();
export const EnumCommunicationDirectionFieldUpdateOperationsInputObjectSchema: z.ZodType<Prisma.EnumCommunicationDirectionFieldUpdateOperationsInput> = makeSchema() as unknown as z.ZodType<Prisma.EnumCommunicationDirectionFieldUpdateOperationsInput>;
export const EnumCommunicationDirectionFieldUpdateOperationsInputObjectZodSchema = makeSchema();
